/* let everybody know the options exist */
extern Optionp opt;

/* also need to know if the player is paused */
extern Bool paused;

/* c_draw.c */
void calcpointsI(DCp dc, Methodp method, int idx, Genericp g, Genericp pl);
void calcpointsII(DCp dc, Methodp method, int idx, Genericp g, Genericp pl);
void calcpointsIII(DCp dc, Methodp method, int idx, Genericp g, Genericp pl);
void calcpointsIV(DCp dc, Methodp method, int idx, Genericp g, Genericp pl);
void displayobject(DCp dc);
void drawobject(Genericp g, Genericp pl);

/* c_explode.c */
void calcpointsVI(DCp dc, Methodp method, int idx, Genericp g, Genericp pl);
void explodeobject(Genericp g, Genericp pl);
void explodesalvo(Genericp g, Genericp pl);

/* c_gpr.c */
void grabpointer(void);
void ungrabpointer(void);
void gprinit(void);
void gprstart(void);
void polyline_c(void *xp, int n, GXColor *cp);
void polyline(void *xp, int n);
void multiline(void *xseg, int n);
void drawrectangle(int x, int y, int width, int height);
void gprdone(void);
void bitblt(Window_t *window);
void clearrectangle(Window_t *window, Position_t *dsto);
void gprsetclippingactive(Bool flag);
void tonetime(void);
void gprinqcursor(int *p);
Bool gprcondeventwait(char *key, Position_t *posn);
void gprsetcursorposition(int *p);
void gprsetvalue(int idx, GXColor *cp);
void gprsettextvalue(int idx);
void gprsettextbackgroundvalue(int idx);
void gprsetdrawvalue(int idx);
void gprcircle(int *center, int radius);
void gprcirclefilled(int *center, int radius);
void gprsetclipwindow(Window_t *window);
void clearentirescreen(void);
void flushwindow(void);
void waitforkey(char c);
void putpixmap(int i, int *p);
void removepixmap(int i, int *p);
long random(void);
void srandom(unsigned int seed);
int gettimeofday(struct timeval *tv, void *tz);
void drawglyph(int n, int *xp, int *yp);
void printstring(int x, int y, char *s, int nchars);

/* c_graphics.c */
void message(int number, Bool bell);
void screeninit(void);
void staticscreen(void);
void updatedisplay(Bool missile, Bool lander, int score, int numleft, Bool sens, Bool reset);
void joystick(int *position, Bool sens, Genericp pl);
void scanner(Genericp o);
void xhairs(Bool aligned);
void drawhorizon(float azm);
void drawcracks(void);
void clearscreen(void);

/* c_main.c */
void initarray(Genericp o);
int main(int argc, char **argv);

/* c_move.c */
void placeobjects(Genericp o, Bool missilerun, int score);
void movesuper(Genericp g, Genericp pl);
void movemissile(Genericp g, Genericp pl, Bool first);
void movecopter(Genericp g, Genericp pl);
void movetank(Genericp g, Genericp pl);
void movelander(Genericp g, Genericp pl);

/* c_parseopts.c */
int getoptionint(char *s);
void parseopt(int argc, char *argv[], Bool status);

/* c_scores.c */
void xprintf(char *s, Bool output);
void nprintf(char *s, Bool output);
void printandwait(char *s, char c);
int scores(int score);
